#!/bin/bash
memory=$(cat /proc/meminfo | grep MemTotal | awk '{print $2}') &&
memory=$((memory * 75 / 100)) &&
echo "$memory"
# Check if last command was successfull or the string printed was 0 characters long
if [[ $? -ne 0  || ${#memory} -eq 0 ]]
then
    echo "Failed to get heap size!"
    exit -42; # Because it is not the answer.
fi
