package at.jku.mevss.trace.gui.component.treetableview.cell.valuewithreference;

import at.jku.mevss.trace.gui.component.treetableview.cell.AntCell;
import at.jku.mevss.trace.gui.component.treetableview.cell.barcell.BarCellContent;
import at.jku.mevss.trace.gui.model.ValueWithReference;
import at.jku.mevss.trace.gui.utils.FXMLUtil;
import javafx.scene.control.Tooltip;

import java.text.DecimalFormat;

public class ValueWithReferenceCellContent extends BarCellContent<ValueWithReference> {

    public ValueWithReferenceCellContent() {
        FXMLUtil.load(this, ValueWithReferenceCellContent.class);
    }

    @Override
    public Tooltip getTooltip(AntCell<?, ValueWithReference, ?> parentCell, ValueWithReference item) {
        return null;
    }

    private static final DecimalFormat format = new DecimalFormat("###,###.#");

    @Override
    protected String defineTextToShow(ValueWithReference value) {
        return format.format(value.value);
    }

    @Override
    protected double defineFillRatio(ValueWithReference value) {
        return value.percentage.value / 100.0;
    }
}
