/*
Copyright (c) 2014, 2015, 2016, 2017, dynatrace and/or its affiliates. All rights reserved.
This file is part of the AntTracks Tool.

This code is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License version 2 only, as
published by the Free Software Foundation.

This code is distributed in the hope that it will be useful, but WITHOUT
ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
version 2 for more details (a copy is included in the LICENSE file that
accompanied this code).

You should have received a copy of the GNU General Public License
along with with this work.  If not, see <http://www.gnu.org/licenses/>.
*/
/**
 *
 */
package at.jku.mevss.trace.gui.frame.main.tab.heapvisualization.model;

import java.awt.*;

/**
 * @author Christina Rammerstorfer
 */
public class PixelDescription {
    public static final String GAP = "";
    public static final String FILTERED = "filtered object";
    public static final PixelDescription GAP_PD = new PixelDescription(Color.WHITE, GAP, -1);
    public Color color;
    public final Object classification;
    public final long id;
    public final boolean greyedOut;

    public PixelDescription(Color color, Object classification, long id, boolean greyedOut) {
        super();
        this.color = color;
        this.classification = classification;
        this.id = id;
        this.greyedOut = greyedOut;
    }

    public PixelDescription(Color color, Object classification, long id) {
        super();
        this.color = color;
        this.classification = classification;
        this.id = id;
        greyedOut = false;
    }

}
