package at.jku.mevss.trace.gui.frame.main.tab.lifetimevisualization.table;

import javafx.beans.property.DoubleProperty;
import javafx.beans.property.SimpleDoubleProperty;
import javafx.beans.property.SimpleStringProperty;
import javafx.beans.property.StringProperty;

public class GrowthTableRow {
    public final StringProperty labelProperty;
    public final StringProperty relativeGrowth;
    public final DoubleProperty absoluteGrowth;

    public GrowthTableRow(String label, String relGrowth, double absGrowth) {
        this.labelProperty = new SimpleStringProperty(label);
        this.relativeGrowth = new SimpleStringProperty(relGrowth);
        this.absoluteGrowth = new SimpleDoubleProperty(absGrowth);
    }

    public String toString() {
        return labelProperty.get() + " : " + relativeGrowth.get() + "% / " + absoluteGrowth.get();
    }

}
