package at.jku.mevss.trace.gui.model;

import at.jku.mevss.anttracks.classification.ClassifierChain;
import at.jku.mevss.anttracks.classification.ConditionalClassifierList;
import at.jku.mevss.anttracks.classification.Filter;

import java.util.ArrayList;
import java.util.List;

public class SelectedClassifierInfo {
    private ClassifierChain selectedClassifier;
    private ConditionalClassifierList conditionalClassifier;
    private List<Filter> selectedFilters;

    public SelectedClassifierInfo(ClassifierChain selectedClassifier, ConditionalClassifierList conditionalClassifier, List<Filter> selectedFilters) {
        this.selectedClassifier = selectedClassifier == null ? new ClassifierChain() : selectedClassifier;
        this.conditionalClassifier = conditionalClassifier == null ? new ConditionalClassifierList() : conditionalClassifier;
        this.selectedFilters = selectedFilters == null ? new ArrayList<>() : selectedFilters;
    }

    public ClassifierChain getSelectedClassifiers() {
        return selectedClassifier;
    }

    public void setSelectedClassifier(ClassifierChain selectedClassifier) {
        this.selectedClassifier = selectedClassifier;
    }

    public ConditionalClassifierList getSelectedConditionalClassifier() {
        return conditionalClassifier;
    }

    public void setSelectedConditionalClassifier(ConditionalClassifierList conditionalClassifier) {
        this.conditionalClassifier = conditionalClassifier;
    }

    public List<Filter> getSelectedFilters() {
        return selectedFilters;
    }

    public void setSelectedFilters(List<Filter> selectedFilters) {
        this.selectedFilters = selectedFilters;
    }
}
