package at.jku.mevss.anttracks.heap;

public enum IndexBasedHeapFactory {
    INSTANCE;

    public boolean USE_MMAP = false;

    public IndexBasedHeap create(DetailedHeap source) {
        source.shrinkObjectInfoCache();
        return USE_MMAP ? new MemoryMappedFastHeap(source) : new FastHeap(source);
    }
}
