package at.jku.mevss.trace.gui.frame.main.tab.datastructuredevelopment

import at.jku.mevss.trace.gui.frame.main.component.applicationbase.ApplicationBaseTab
import at.jku.mevss.trace.gui.model.AppInfo
import at.jku.mevss.trace.gui.utils.FXMLUtil
import javafx.fxml.FXML

class DataStructureDevelopmentTab : ApplicationBaseTab() {

    @FXML
    lateinit var overviewTab: DataStructureDevelopmentOverviewTab
        private set

    init {
        FXMLUtil.load(this, DataStructureDevelopmentTab::class.java)
    }

    fun init(appInfo: AppInfo, startTime: Long, endTime: Long) {
        super.init(appInfo);

        text = "DS development from $startTime to $endTime"

        overviewTab.init(appInfo, startTime, endTime)
    }

    override fun appInfoChangeAction(type: AppInfo.ChangeType?) {
    }

    override fun cleanupOnClose() {
    }

}